# sf::Input Class Reference

Input handles real-time input from keyboard and mouse. More...

`#include <Input.hpp>`

Inheritance diagram for sf::Input:

List of all members.

## Public Member Functions

| Input ()
| Default constructor.
bool | IsKeyDown (Key::Code KeyCode) const
| Get the state of a key.
bool | IsMouseButtonDown (Mouse::Button Button) const
| Get the state of a mouse button.
bool | IsJoystickButtonDown (unsigned int JoyId, unsigned int Button) const
| Get the state of a joystick button.
int | GetMouseX () const
| Get the mouse X position.
int | GetMouseY () const
| Get the mouse Y position.
float | GetJoystickAxis (unsigned int JoyId, Joy::Axis Axis) const
| Get a joystick axis position.

## Detailed Description

Input handles real-time input from keyboard and mouse.

Use it instead of events to handle continuous moves and more game-friendly inputs

Definition at line 44 of file Input.hpp.

## Constructor & Destructor Documentation

sf::Input::Input | ( |  | ) |

Default constructor.

Definition at line 36 of file Input.cpp.

## Member Function Documentation

float sf::Input::GetJoystickAxis | ( | unsigned int | JoyId,
|  | Joy::Axis | Axis |
| ) |  |  | const

Get a joystick axis position.

Parameters:

  | JoyId | : Identifier of the joystick to check (0 or 1)
  | Axis | : Axis to get

Returns:
  Current axis position, in the range [-100, 100] (except for POV, which is [0, 360])

Definition at line 111 of file Input.cpp.

int sf::Input::GetMouseX | ( |  | ) | const

Get the mouse X position.

Get the mouse left position.

Returns:
  Current mouse left position, relative to owner window

Definition at line 93 of file Input.cpp.

int sf::Input::GetMouseY | ( |  | ) | const

Get the mouse Y position.

Get the mouse top position.

Returns:
  Current mouse top position, relative to owner window

Definition at line 102 of file Input.cpp.

bool sf::Input::IsJoystickButtonDown | ( | unsigned int | JoyId,
|  | unsigned int | Button |
| ) |  |  | const

Get the state of a joystick button.

Parameters:

  | JoyId | : Identifier of the joystick to check (0 or 1)
  | Button | : Button to check

Returns:
  True if button is down, false if button is up

Definition at line 81 of file Input.cpp.

bool sf::Input::IsKeyDown | ( | Key::Code | KeyCode | ) | const

Get the state of a key.

Parameters:

  | KeyCode | : Key to check

Returns:
  True if key is down, false if key is up

Definition at line 63 of file Input.cpp.

bool sf::Input::IsMouseButtonDown | ( | Mouse::Button | Button | ) | const

Get the state of a mouse button.

Parameters:

  | Button | : Button to check

Returns:
  True if button is down, false if button is up

Definition at line 72 of file Input.cpp.

The documentation for this class was generated from the following files:

- Input.hpp
- Input.cpp